[**@lancedb/lancedb**](../../../README.md) • **Docs**

***

[@lancedb/lancedb](../../../globals.md) / [embedding](../README.md) / EmbeddingFunctionConstructor

# Interface: EmbeddingFunctionConstructor&lt;T&gt;

## Type Parameters

• **T** *extends* [`EmbeddingFunction`](../classes/EmbeddingFunction.md) = [`EmbeddingFunction`](../classes/EmbeddingFunction.md)

## Constructors

### new EmbeddingFunctionConstructor()

```ts
new EmbeddingFunctionConstructor(modelOptions?): T
```

#### Parameters

* **modelOptions?**: `T`\[`"TOptions"`\]

#### Returns

`T`
